<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<project xmlns:j="jelly:core" xmlns:u="jelly:util">
  <goal name="testPlugin" prereqs="test-generate-docs">
    <attainGoal name="clean"/>
  </goal>
  
  <goal name="test-generate-docs">
    <attainGoal name="plugin:generate-docs"/>

    <u:file var="docsSource" name="${maven.docs.src}"/>
    <j:if test="${!(docsSource.exists())}">
      <fail>no xdocs directory created</fail>
    </j:if>

	<u:tokenize var="fileList" delim=",">navigation.xml,goals.xml</u:tokenize>

	<j:forEach var="file" items="fileList">
      <u:file var="navXml" name="${maven.docs.src}/navigation.xml"/>
      <j:if test="${!(navXml.exists())}">
        <fail>no ${file} created</fail>
      </j:if>
    </j:forEach>
    <delete dir="${maven.docs.src}"/>    
  </goal>
</project>